Name:          protoparser
Version:       3.1.5
Release:       2%{?dist}
Summary:       Java parser for .proto schema declarations
# Source files without license headers https://github.com/square/protoparser/issues/105
License:       ASL 2.0
URL:           https://github.com/square/protoparser
Source0:       https://github.com/square/protoparser/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.auto.value:auto-value)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.assertj:assertj-core)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
ProtoParser will parse a standalone File or schema data directly and
return an object representation as a ProtoFile instance.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_remove_plugin :maven-checkstyle-plugin

%pom_change_dep org.easytesting:fest-assert-core org.assertj:assertj-core:2.0.0
find ./ -name "*.java" -exec sed -i "s/org.fest.assertions/org.assertj.core/g" {} +

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md CONTRIBUTING.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jul 09 2016 gil cattaneo <puntogil@libero.it> 3.1.5-1
- initial rpm
